<manifest version="1.0" type="device">
    <hal format="hidl" override="true">
        <name>vendor.qti.hardware.embmssl</name>
        <transport>hwbinder</transport>
        <version>1.1</version>
    </hal>
    <!-- secure element -->
    <hal format="hidl" override="true">
       <name>android.hardware.secure_element</name>
       <transport>hwbinder</transport>
       <version>1.2</version>
       <interface>
           <name>ISecureElement</name>
           <instance>SIM1</instance>
       </interface>
    </hal>
    <hal format="hidl">
        <name>vendor.honor.hardware.nxpnfc</name>
        <transport>hwbinder</transport>
        <version>2.0</version>
        <interface>
            <name>INxpNfc</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl">
        <name>android.hardware.nfc</name>
        <transport>hwbinder</transport>
        <version>1.2</version>
        <interface>
            <name>INfc</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl">
        <name>vendor.honor.hardware.nfc</name>
        <transport>hwbinder</transport>
        <version>1.0</version>
        <interface>
            <name>IHWNfc</name>
            <instance>default</instance>
        </interface>
    </hal>
</manifest>
